Properties Methods Events Direct Link

    Axis
      CategoryAxis

# Class Ext.chart.CategoryAxis

Package: | Ext.chart
Defined In: | Chart.js
Class: | CategoryAxis
Extends: | Axis

A type of axis that displays items in categories.

## Public Properties

Property | Defined By
--- | ---

calculateCategoryCount : Boolean
Indicates whether or not to calculate the number of categories (ticks and labels) when there is not enough room to di...
Indicates whether or not to calculate the number of categories (ticks and labels) when there is not enough room to display all labels on the axis. If set to true, the axis will determine the number of categories to plot. If not, all categories will be plotted.

CategoryAxis

| categoryNames : Array A list of category names to display along this axis. | CategoryAxis
| hideOverlappingLabels : Boolean If true, labels that overlap previously drawn labels on the axis will be hidden. | Axis
| labelFunction : String A string reference to the globally-accessible function that may be called to determine each of the label values for t... A string reference to the globally-accessible function that may be called to determine each of the label values for this axis. | Axis
| labelSpacing : Number The space, in pixels, between labels on an axis. | Axis
| orientation : String The direction in which the axis is drawn. May be "horizontal" or "vertical". | Axis
| reverse : Boolean If true, the items on the axis will be drawn in opposite direction. | Axis
| type : String The type of axis. | Axis

## Public Methods

This class has no public methods.

## Public Events

This class has no public events.